commit a37f67419ab3b12d9677faada1ac03a1ab257551
Author: freddy77 <freddy77>
Date:   Fri Jan 22 12:42:13 2010 +0000

    package bzip2 file instead of gz one

diff --git a/ChangeLog b/ChangeLog
index 406feed..4c2fbb7 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+Fri Jan 22 13:40:35 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* configure.ac freetds.spec.in misc/prepare_win32.sh:
+	* misc/test-dist.sh:
+	- package bzip2 file instead of gz one
+
 Fri Jan 22 11:45:04 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/unittests/copydesc.c: check _SQLFreeDesc
 
@@ -2151,4 +2156,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2946 2010/01/22 10:45:19 freddy77 Exp $
+$Id: ChangeLog,v 1.2947 2010/01/22 12:42:13 freddy77 Exp $
diff --git a/configure.ac b/configure.ac
index 3653456..451232a 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1,7 +1,7 @@
 dnl Process this file with autoconf to produce a configure script.
 
 dnl ------------------------------------------------------------
-dnl $Id: configure.ac,v 1.43 2009/09/14 10:02:13 freddy77 Exp $
+dnl $Id: configure.ac,v 1.44 2010/01/22 12:42:16 freddy77 Exp $
 dnl If you're trying to create a new configure test, try
 dnl
 dnl 	http://autogen.sourceforge.net/conftest.html
@@ -15,9 +15,9 @@ dnl ------------------------------------------------------------
 AC_INIT(FreeTDS, 0.83.dev.esyscmd(echo -n $(date +"%Y%m%d")))
 AC_CONFIG_SRCDIR(src/dblib/dblib.c)
 AC_PREREQ(2.53)
-AC_REVISION($Revision: 1.43 $)
+AC_REVISION($Revision: 1.44 $)
 
-AM_INIT_AUTOMAKE
+AM_INIT_AUTOMAKE([dist-bzip2 no-dist-gzip])
 AC_CONFIG_HEADERS(include/config.h)
 
 dnl configuration directory will be /usr/local/etc
diff --git a/freetds.spec.in b/freetds.spec.in
index 8aa6485..47e2670 100644
--- a/freetds.spec.in
+++ b/freetds.spec.in
@@ -22,7 +22,7 @@ Release: 1
 Vendor: www.freetds.org 
 License: LGPL 
 Group: System Environment/Libraries 
-Source: http://ibiblio.org/pub/Linux/ALPHA/freetds/stable/%{name}-%{version}.tar.gz 
+Source: http://ibiblio.org/pub/Linux/ALPHA/freetds/stable/%{name}-%{version}.tar.bz2
 BuildRoot: %{_tmppath}/%{name}-buildroot
 %{?tds_builddep:BuildRequires: %{tds_builddep}}
 %{?tds_dep:Requires: %tds_dep}
diff --git a/misc/prepare_win32.sh b/misc/prepare_win32.sh
index 57999ff..595c4a9 100755
--- a/misc/prepare_win32.sh
+++ b/misc/prepare_win32.sh
@@ -67,10 +67,14 @@ if test "$PACKAGE_VERSION" = ""; then
 	PACKAGE_VERSION="$VERSION"
 fi
 test "$PACKAGE_VERSION" != "" || errore "PACKAGE_VERSION not found"
-test -r "freetds-$PACKAGE_VERSION.tar.gz" || make dist
-test -r "freetds-$PACKAGE_VERSION.tar.gz" || errore "package not found"
+test -r "freetds-$PACKAGE_VERSION.tar.gz" -o -r "freetds-$PACKAGE_VERSION.tar.bz2" || make dist
+test -r "freetds-$PACKAGE_VERSION.tar.gz" -o -r "freetds-$PACKAGE_VERSION.tar.bz2" || errore "package not found"
 rm -rf "freetds-$PACKAGE_VERSION"
-tar zxvf "freetds-$PACKAGE_VERSION.tar.gz"
+if test -r "freetds-$PACKAGE_VERSION.tar.gz"; then
+	gunzip -dc "freetds-$PACKAGE_VERSION.tar.gz" | tar xvf -
+else
+	bunzip2 -dc "freetds-$PACKAGE_VERSION.tar.bz2" | tar xvf -
+fi
 cd "freetds-$PACKAGE_VERSION" || errore "Directory not found"
 
 if ! $HOST-gcc --help > /dev/null 2> /dev/null; then
diff --git a/misc/test-dist.sh b/misc/test-dist.sh
index 02b5080..354d394 100755
--- a/misc/test-dist.sh
+++ b/misc/test-dist.sh
@@ -55,8 +55,8 @@ make dist
 echo "make distribution ok" >> "$LOG"
 
 # untar to test it, should already contains documentation
-DIR=`echo freetds-* | sed s,.tar.gz$,,g`
-gunzip -dc freetds-*.tar.gz | tar xf -
+DIR=`echo freetds-* | sed s,.tar.bz2$,,g`
+bzip2 -dc freetds-*.tar.bz2 | tar xf -
 test -d "$DIR"
 cd "$DIR"
 echo "untar ok" >> "$LOG"
@@ -116,7 +116,7 @@ make dist
 # finally big test. I hope you have a fast machine :)
 cd ..
 rm -rf "$DIR"
-gunzip -dc freetds-*.tar.gz | tar xf -
+bzip2 -dc freetds-*.tar.bz2 | tar xf -
 cd "$DIR"
 ./configure
 if test ! -e PWD -a -e "$ORIGDIR/../PWD"; then
@@ -139,7 +139,7 @@ if rpmbuild --help > /dev/null 2>&1; then
 	RPMCMD=rpmbuild
 fi
 if $RPMCMD --help > /dev/null 2>&1; then
-	$RPMCMD -ta freetds-*.tar.gz || exit 1
+	$RPMCMD -ta freetds-*.tar.bz2 || exit 1
 	echo "rpm test ok" >> "$LOG"
 else
 	echo "rpm test skipped, no rpm detected" >> "$LOG"

